Hypergeometric test's summary error while using GOstats
3
3
Entering edit mode
3.7 years ago
ciemanek ▴ 140

Hi! I am trying to perform hypergeometric test to find enriched GO terms among the genes that differ significantly between two clusters. However, I have a problem when I try to get a summary of the hypergeometric test from GOstats package - I get the following error:

Error in initialize(value, ...) : argument "go_id" is missing, with no default

For the annotation I use hgu133plus2.db package (my microarrays are Affymetrix HG U133 + PM) and the way I get to the universe and selected genes' Entrez ID is as follows:

x <- hgu133plus2ENTREZID
mapped_probes <- mappedkeys(x)
universe <- unique(unlist(as.list(x[mapped_probes])))

sig_probes <- rownames(res)[which(res[,3] != 0)] # res is a result of decideTests from limma package so in this line I am picking all the significant genes from the comparison of interest to me

sig_probes <- sub(x = sig_probes, pattern = "_PM_", replacement = "_") # I am changing IDs to match them with IDs in hgu133plus2.db package
significant <- unlist(as.list(x[sig_probes]))
significant <- unique(significant[!is.na(significant)])

# going to the hypergeometric test
params <- new('GOHyperGParams',
              geneIds=significant,
              universeGeneIds=universe,
              ontology='BP',
              pvalueCutoff=0.001,
              conditional=F,
              testDirection='over',
              annotation="hgu133plus2.db")
hgOver <- hyperGTest(params)
result <- summary(hgOver)

I would expect this is some problem with an annotation? Any help regarding what I can be doing wrong will be appreciated.

Agata

GO GOstats microarray enrichment • 2.2k views
ADD COMMENT
2
Entering edit mode
3.6 years ago
m.dejung ▴ 20

Hi Agata, I am not sure if you solved your problem, but in my case it was a incompatibility with a newer RSQLite package. So after downgrading it to 2.1.0 everything worked again.

Best Mario

ADD COMMENT
0
Entering edit mode

This is exactly what I did, and it worked!!

ADD REPLY
1
Entering edit mode
3.6 years ago
ciemanek ▴ 140

Hi Mario!

Thanks a lot for your answer. In my case the problem was that my R version was not up to date. The latest topGO works perfectly fine with the newest R version (3.5.0) however at the time when I was perfofming my analysis R 3.5.0 was only available for Windows so I had to switch to my personal laptop from Ubuntu in order to use the latest version of R and Bioconductor.

All the best, Agata

ADD COMMENT
1
Entering edit mode
3.6 years ago
Dunja ▴ 10

Hi,

Just wanted to say that I had the same error (due to not having the newest R version) when running summary on hyperGTest output (GOstats), and I solved the problem by downgrading the RSQLite to 2.1.0, as m.dejung suggested. It works now, no errors :)

My session info:

R version 3.4.3 (2017-11-30)

Platform: x86_64-apple-darwin15.6.0 (64-bit)

Running under: macOS Sierra 10.12.6

Matrix products: default BLAS: /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib LAPACK: /Library/Frameworks/R.framework/Versions/3.4/Resources/lib/libRlapack.dylib

locale: [1] en_US.UTF-8/en_US.UTF-8/en_US.UTF-8/C/en_US.UTF-8/en_US.UTF-8

attached base packages: [1] stats4 parallel stats graphics grDevices utils datasets [8] methods base

other attached packages: [1] GO.db_3.5.0 GOstats_2.44.0 graph_1.56.0
[4] Category_2.44.0 Matrix_1.2-12 AnnotationDbi_1.40.0 [7] IRanges_2.12.0 S4Vectors_0.16.0 Biobase_2.38.0
[10] BiocGenerics_0.24.0 RSQLite_2.1.0

loaded via a namespace (and not attached): [1] Rcpp_0.12.17 splines_3.4.3 bit_1.1-14
[4] xtable_1.8-2 lattice_0.20-35 blob_1.1.1
[7] tools_3.4.3 grid_3.4.3 AnnotationForge_1.20.0 [10] DBI_1.0.0 genefilter_1.60.0 survival_2.42-4
[13] RBGL_1.54.0 yaml_2.1.19 bit64_0.9-7
[16] digest_0.6.15 GSEABase_1.40.1 Rgraphviz_2.22.0
[19] bitops_1.0-6 RCurl_1.95-4.10 memoise_1.1.0
[22] compiler_3.4.3 XML_3.98-1.11 annotate_1.56.2
[25] pkgconfig_2.0.1

Best Dunja

ADD COMMENT
0
Entering edit mode

As I commented earlier in "m.dejung's" response, this procedure (downgrading the RSQLite to 2.1.0) definitely worked for me as well.

ADD REPLY

Login before adding your answer.

Traffic: 2492 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6